<script setup lang="ts">
import { useAuthStore } from '../stores/auth'
import { ref } from 'vue'
import type { VForm } from 'vuetify/components'
// import MessageBox from '../components/MessageBox.vue'

const authStore = useAuthStore()
const refForm = ref<VForm | null>(null)
const form = ref(false)
const email = ref('admin@email.com')
const password = ref('pass@1234')

const required = (v: string) => {
  return !!v || 'Field is required'
}
const onSubmit = async () => {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
  if (authStore.currentUser) {
    refForm.value?.reset()
  }
}
</script>

<template>
  <v-sheet class="d-flex justify-center align-center ma-5" elevation="4" rounded="xl" height="88vh">
    <v-card class="mx-auto px-6 py-8" min-width="350" rounded="xl">
      <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
        <h1>Login</h1>
        <v-text-field
          v-model="email"
          :rules="[required]"
          class="mb-2"
          clearable
          label="Email"
          placeholder="Enter your email"
          variant="outlined"
        ></v-text-field>

        <v-text-field
          v-model="password"
          :rules="[required]"
          clearable
          type="password"
          label="Password"
          placeholder="Enter your password"
          variant="outlined"
        ></v-text-field>

        <br />

        <v-btn
          :disabled="!form"
          block
          color="#9a675b"
          size="large"
          type="submit"
          variant="elevated"
        >
          Sign In
        </v-btn>
      </v-form>
    </v-card>
  </v-sheet>
  <!-- <div>
    <h4>Demo user:</h4>
    {{ authStore.users[0].email }} <br />
    {{ authStore.users[0].password }}
  </div>
  <div>
    <h4>Current user:</h4>
    {{ authStore.getCurrentUser()?.email }} <br />
    {{ authStore.getCurrentUser()?.name }}
  </div> -->
</template>

<style scoped>
@import url('https://fonts.googleapis.com/css?family=Montserrat:400,800');
h1 {
  font-family: 'Montserrat', sans-serif;
  font-weight: bold;
  margin: 0;
  text-align: center;
  padding: 0 0 20px 0;
}
</style>
@/views/Authentication/stores/auth
